"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// meta.ts
var meta_exports = {};
__export(meta_exports, {
  resolveNotificationConfig: () => resolveNotificationConfig2,
  triggerNotification: () => triggerNotification2,
  upsertNotificationConfig: () => upsertNotificationConfig2
});
module.exports = __toCommonJS(meta_exports);

// src/events-notifications-v2-notification-config-notifications.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_timestamp = require("@wix/sdk-runtime/transformations/timestamp");
var import_timestamp2 = require("@wix/sdk-runtime/transformations/timestamp");
var import_field_mask = require("@wix/sdk-runtime/transformations/field-mask");
var import_transform_paths = require("@wix/sdk-runtime/transformations/transform-paths");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveWixEventsNotificationsV2NotificationConfigManagementUrl(opts) {
  const domainToMappings = {
    "api._api_base_domain_": [
      {
        srcPath: "/events-notifications",
        destPath: ""
      }
    ],
    _: [
      {
        srcPath: "/_api/events-notifications",
        destPath: ""
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/events-notifications",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/events-notifications",
        destPath: ""
      },
      {
        srcPath: "/events/v2/notifications",
        destPath: "/v2/notifications"
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
function resolveWixEventsNotificationsV2NotificationServiceUrl(opts) {
  const domainToMappings = {
    "api._api_base_domain_": [
      {
        srcPath: "/events-notifications",
        destPath: ""
      }
    ],
    _: [
      {
        srcPath: "/_api/events-notifications",
        destPath: ""
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/events-notifications",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/events-notifications",
        destPath: ""
      },
      {
        srcPath: "/events/v2/notifications",
        destPath: "/v2/notifications"
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_events_notifications";
function triggerNotification(payload) {
  function __triggerNotification({ host }) {
    const metadata = {
      entityFqdn: "wix.events.notifications.v2.notification_config",
      method: "POST",
      methodFqn: "wix.events.notifications.v2.NotificationService.TriggerNotification",
      packageName: PACKAGE_NAME,
      url: resolveWixEventsNotificationsV2NotificationServiceUrl({
        protoPath: "/v2/notifications/trigger",
        data: payload,
        host
      }),
      data: payload
    };
    return metadata;
  }
  return __triggerNotification;
}
function resolveNotificationConfig(payload) {
  function __resolveNotificationConfig({ host }) {
    const metadata = {
      entityFqdn: "wix.events.notifications.v2.notification_config",
      method: "GET",
      methodFqn: "wix.events.notifications.v2.NotificationConfigManagement.ResolveNotificationConfig",
      packageName: PACKAGE_NAME,
      url: resolveWixEventsNotificationsV2NotificationConfigManagementUrl({
        protoPath: "/v2/notification-configs/resolve/{notificationConfigId}",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload),
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "notificationConfig.createdDate" },
            { path: "notificationConfig.updatedDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __resolveNotificationConfig;
}
function upsertNotificationConfig(payload) {
  function __upsertNotificationConfig({ host }) {
    const serializedData = (0, import_transform_paths.transformPaths)(payload, [
      {
        transformFn: import_field_mask.transformSDKFieldMaskToRESTFieldMask,
        paths: [{ path: "fieldMask" }]
      },
      {
        transformFn: import_timestamp.transformSDKTimestampToRESTTimestamp,
        paths: [
          { path: "notificationConfig.createdDate" },
          { path: "notificationConfig.updatedDate" }
        ]
      }
    ]);
    const metadata = {
      entityFqdn: "wix.events.notifications.v2.notification_config",
      method: "POST",
      methodFqn: "wix.events.notifications.v2.NotificationConfigManagement.UpsertNotificationConfig",
      packageName: PACKAGE_NAME,
      url: resolveWixEventsNotificationsV2NotificationConfigManagementUrl({
        protoPath: "/v2/notification-configs/{notificationConfig.id}",
        data: serializedData,
        host
      }),
      data: serializedData,
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp2.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "notificationConfig.createdDate" },
            { path: "notificationConfig.updatedDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __upsertNotificationConfig;
}

// src/events-notifications-v2-notification-config-notifications.meta.ts
function triggerNotification2() {
  const payload = {};
  const getRequestOptions = triggerNotification(
    payload
  );
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v2/notifications/trigger",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function resolveNotificationConfig2() {
  const payload = { notificationConfigId: ":notificationConfigId" };
  const getRequestOptions = resolveNotificationConfig(
    payload
  );
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v2/notification-configs/resolve/{notificationConfigId}",
    pathParams: { notificationConfigId: "notificationConfigId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
function upsertNotificationConfig2() {
  const payload = {
    notificationConfig: { id: ":notificationConfigId" }
  };
  const getRequestOptions = upsertNotificationConfig(
    payload
  );
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "POST",
    path: "/v2/notification-configs/{notificationConfig.id}",
    pathParams: { notificationConfigId: "notificationConfigId" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  resolveNotificationConfig,
  triggerNotification,
  upsertNotificationConfig
});
//# sourceMappingURL=meta.js.map